/* 
   $Id: default.c,v 1.2 2001/06/13 06:54:43 sho Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome.

   Nunome is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include "IMProto.h"
#include "default.h"

XIMATTR	default_ximattr = {
  0,			// attribute ID
  TOV_XIMStyles,	// Type Of Values
  -1,			// length of im-attribute
  XNQueryInputStyle	// im-attribute
};

XICATTR	default_xicattr[N_DEFAULT_XICATTR] = {
  { 0, TOV_longdata,   -1, XNInputStyle },
  { 1, TOV_Window,     -1, XNClientWindow },
  { 2, TOV_Window,     -1, XNFocusWindow },
  { 3, TOV_longdata,   -1, XNFilterEvents },
  { 4, TOV_NestedList, -1, XNPreeditAttributes },
  { 5, TOV_NestedList, -1, XNStatusAttributes },
  { 6, TOV_XRectangle, -1, XNArea },
  { 7, TOV_XRectangle, -1, XNAreaNeeded },
  { 8, TOV_XPoint,     -1, XNSpotLocation },
  { 9, TOV_longdata,   -1, XNColormap },
  {10, TOV_longdata,   -1, XNStdColormap },
  {11, TOV_longdata,   -1, XNForeground },
  {12, TOV_longdata,   -1, XNBackground },
  {13, TOV_longdata,   -1, XNBackgroundPixmap },
  {14, TOV_XFontSet,   -1, XNFontSet },
  {15, TOV_worddata,   -1, XNLineSpace },
  {16, TOV_longdata,   -1, XNCursor },
  {17, TOV_Separator,  -1, XNSeparatorofNestedList }
};

XIMStyle	defaultInputStyle = XIMStatusNothing|XIMPreeditNothing;
long	defaultFilterEvents = 0;
XIMStyles defaultInputStyles = {
    1,
    &defaultInputStyle
};
XIMATTRIBUTE defaultIMAttribute = {
    0,
    -1,
    (unsigned char *)&defaultInputStyles
};
